%define upstream_name Horde_Lock
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.1
Release:     	%mkrel 1
Summary:    	Horde Resource Locking System
License:    	LGPL
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:    	php-pear-Horde_Exception < 2.0.0
Requires:    	php-pear-Horde_Support < 2.0.0
Conflicts:   	php-pear-Horde_Exception = 2.0.0
Conflicts:   	php-pear-Horde_Support = 2.0.0
Requires:     	php-pear-channel-horde
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Lock = %{version}

%description
The Horde_Lock library provides the Horde resource locking system.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Lock.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Lock.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Lock
fi

%files
%defattr(-,root,root)
%doc docs/Horde_Lock/COPYING
%{peardir}/Horde/Lock.php
%{peardir}/Horde/Lock/Exception.php
%{peardir}/Horde/Lock/Null.php
%{peardir}/Horde/Lock/Sql.php
%{peardir}/data/Horde_Lock/migration/1_horde_lock_base_tables.php
%{peardir}/data/Horde_Lock/migration/2_horde_lock_upgrade_column_types.php
%{peardir}/data/Horde_Lock/migration/3_horde_lock_fix_owner_width.php
%{xmldir}/Horde_Lock.xml


%changelog

* Sun Nov 06 2011 spuhler <spuhler> 1.0.1-1.mga2
+ Revision: 164543
- upgrade to 1.0.1
-Provides:      	php-pear-Horde_Lock
  +Provides:      	php-pear-Horde_Lock = %%{version}
- imported package php-pear-Horde_Lock

